\version "2.24.4"

#(set-default-paper-size "letter")
#(ly:set-option 'crop #t)

\header { tagline = ##f }

\paper {  
  left-margin = 40\pt
  right-margin = 40\pt
  ragged-last = ##t

  % This silences any warnings relating to left-margin/right-margin/line-width not totalling paper-size.
  % This is useful for manually setting line-width in specific songs to match the section label margin size.
  check-consistency = ##f
  
  property-defaults.fonts.serif = "Roboto Serif"
}

\layout {
  indent = 0\pt
  % Set's chord name for `maj7` chords to spell it out, rather than use ∆
  \set majorSevenSymbol = \markup { maj7 }

  \context {
    \Score
    \override Glissando.minimum-length = #4
    \override Glissando.springs-and-rods =
    #ly:spanner::set-spacing-rods
    \override Glissando.thickness = #2
    \omit StringNumber
    \omit BarNumber
  }

  \context {
    \ChordNames
    \override ChordName.font-size = #1

    % Temp workaround for italics chord names
    \override ChordName.font-name = "sansbolditalic"

    % Slightly nudges chord names to the left
    % With the current this font/style, they're just a little to the right
    % use `\revert ChordName.X-offset` & `\revert ChordName.self-alignment-X` to reset
    \override ChordName.X-offset = #-0.25

    % Spacing between ChordNames and paired staff below. Measures to tallest musical content in staff.
    % Default is 0.5
    \override VerticalAxisGroup.nonstaff-relatedstaff-spacing.padding = #0.75
  }
  \context {
    \TabStaff
    \omit Staff.Clef
    \omit Staff.TimeSignature
    \override TabNoteHead.font-family = #'serif

    \override TabNoteHead.whiteout = ##t
  }
}

\score {
  <<
    \chords {
     a1 | a:sus4
    }
    
    \new TabStaff \relative {
      \key a \major
      \time 4/4
      
      \bar ".|:"
      \repeat volta 2 {
        \repeat unfold 2 {
          e8 a cis a
        }
        
        <e a d>1
      }
    }
  >>
}
